Name:           meddly
Version:        0.15.1
Release:        1%{?dist}
Summary:        Multi-terminal and Edge-valued Decision Diagram LibrarY

%global commit 415e19cadeff5a5927d261c267e53d7de2b5d8f6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License:        LGPL3
URL:            https://github.com/asminer/meddly
Source0:        https://github.com/asminer/meddly/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc-c++ autoconf automake libtool gmp-devel
#Requires:       

%description
MEDDLY stands for Multi-terminal and Edge-valued Decision Diagram LibrarY. It
is an open-source software library that supports several types of decision
diagrams, including binary decision diagrams (BDDs). See the list of features
for a complete list of supported types.

This project has been supported in part by the National Science Foundation
under grants ACI-1642397, CSR-0546041, and CSR-0509340.

%package devel
Summary: Header files and libraries for development with Meddly
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The meddly-devel package contains the header files and libraries needed
to develop programs that use the meddly library.


%prep
%autosetup -n %{name}-%{commit} -p 1


%build
./autogen.sh
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING COPYING.LESSER
%doc docs AUTHORS NEWS README Release
   /usr/lib64/libmeddly.so
   /usr/lib64/libmeddly.so.0
   /usr/lib64/libmeddly.so.0.0.0

%files devel
   /usr/include/meddly.h
   /usr/include/meddly.hh
   /usr/include/meddly_expert.h
   /usr/include/meddly_expert.hh
   /usr/lib64/libmeddly.a
   /usr/lib64/libmeddly.la

%changelog
* Mon Dec  2 2019 Bussi Andrea <btabta@gmail.com>
- Initial version
